#define sensordata1 (A1)
#define sensordata2 (A2)
#define sensordata3 (A3)
#include <Wire.h>
#include <SPI.h>
#include <EEPROM.h>

int incomingByte = 0; // for incoming serial data

int fr,fl,fc;
int r,l,c;
int mr,ml,mc,cr,cl,cc;
int tempr,templ,tempc;
int cal_rec=0;

int val; 
 
int pin1;
int mode = 0;

const int MPU_addr=0x68;
int16_t AcX,AcY,AcZ,Tmp,GyX,GyY,GyZ;

int minVal=265;
int maxVal=402;

int x;
int y;
int z;

void setup() {

 Wire.begin();
 Wire.beginTransmission(MPU_addr);
 Wire.write(0x6B);
 Wire.write(0);
 Wire.endTransmission(true); 

  pinMode(A2,INPUT);
  pinMode(A1,INPUT);          //Setting the sensor pin modes
  pinMode(A3,INPUT); 
  Serial.begin(9600);

} 



void loop() {

  fr = analogRead(sensordata1); 
  fl = analogRead(sensordata2);
  fc = analogRead(sensordata3);

 Wire.beginTransmission(MPU_addr);
 Wire.write(0x3B);
 Wire.endTransmission(false);
 Wire.requestFrom(MPU_addr,14,true);
 AcX=Wire.read()<<8|Wire.read();
 AcY=Wire.read()<<8|Wire.read();
 AcZ=Wire.read()<<8|Wire.read();
 int xAng = map(AcX,minVal,maxVal,-90,90);
 int yAng = map(AcY,minVal,maxVal,-90,90);
 int zAng = map(AcZ,minVal,maxVal,-90,90);
 x= RAD_TO_DEG * (atan2(-yAng, -zAng)+PI);
 y= RAD_TO_DEG * (atan2(-xAng, -zAng)+PI);
 z= RAD_TO_DEG * (atan2(-yAng, -xAng)+PI);

 Serial.println(fr ); 
 
 Serial.println(fl ); 
 
 Serial.println(fc ); 
 Serial.println(x); 
 Serial.println(y); 
 Serial.println(z);
  
 delay(2000);
  }

